Name:           cagefootvt
Version:        0.1
Release:        0
Summary:        Linux KMS/DRM based virtual Console Emulator
License:        MIT
Group:          System/Console
URL:            https://gitlab.com/kdj0c/cagefootvt.git
Source:         https://gitlab.com/kdj0c/cagefootvt/-/archive/%{version}/%{name}-%{version}.tar.bz2
Requires:       bash
Requires:       foot
Requires:       cage
BuildRequires: systemd

BuildArch:      noarch

%description
Cagefootvt install systemd units and shell scripts, to replace your VT with
cage (Wayland compositor) and foot (Lightweight terminal)

%prep
%setup -q

%build

%install
cp -a usr %{buildroot}/
cp -a etc %{buildroot}/

%files
%license LICENSE
%{_libexecdir}/%{name}/*.sh
%{_unitdir}/*.service
%{_unitdir}/*.path
%{_sysusersdir}/*.conf
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/footvt.conf

%changelog
* Wed Mar 26 2025 Jocelyn Falempe jfalempe@redhat.com
- Initial spec file
